﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="BuienRadarHs.aspx.vb" Inherits="BuienRadarHs.BuienRadarHs" %>

<!DOCTYPE html>
<html>
<head>
   <title>Voorbeeld buienalarm grafiek</title>
   <meta name='viewport' content='initial-scale=1, user-scalable=no, maximum-scale=1'>
   <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js"></script>
   <script src="http://code.highcharts.com/highcharts.js"></script>
</head>
<body>
<div id="regenverwachting" style="width: 800px; height: 300px; margin: 0 auto"></div>
<script type="text/javascript">
    $(function () {
        var chart;

        Highcharts.setOptions({
            global: {
                useUTC: false
            }
        });

        $(document).ready(function () {
            var options = {
                chart: {
                    renderTo: 'regenverwachting',
                    zoomType: null,
                    alignTicks: false,
                    events: {
                        load: function () {
                            setInterval(function () {
                                reload();
                            }, 60 * 1000);
                        }
                    }
                },
                credits: { enabled: false },
                exporting: { enabled: false },
                title: { text: null },
                tooltip: {
                    formatter: function () {
                        return Highcharts.dateFormat('%H:%M', this.x) + '<br/>' +
                               '<b>' + this.y + '</b> mm/h<br/>';
                    }
                },
                legend: { enabled: false },
                plotOptions: {
                    series: {
                        shadow: false,
                        marker: {
                            enabled: false
                        },
                    },
                },
                xAxis: {
                    type: 'datetime',
                    title: null,
                    lineWidth: 0,
                    tickWidth: 1,

                },
                yAxis: {
                    title: { text: 'intensiteit (mm)' },
                    lineWidth: 0,
                    tickWidth: 0,
                    gridLineWidth: 1,
                    min: 0,
                    showFirstLabel: false
                },
                series: [{
                    type: 'areaspline',
                    name: 'Intensiteit',
                    pointInterval: 300 * 1000,
                    pointStart: (new Date()).getTime(),
                    data: []
                }
                ]
            }

            chart = new Highcharts.Chart(options);
            reload(true);
        });

        function reload(isFirstLoad) {

            var pairs = [];
            var n = [];



            h1 = document.getElementById("r1");
            v1 = h1.value;

            n = v1.split("\n");
            delete n[25];


            for (var i = 0; i < n.length - 1; i++) {
                var time;
                var rain;
                // n[i] = n[i].substr(0, 3);
                time = n[i].substr(4, 5);
                rain = parseInt(n[i].substr(0, 3));
                rain = Math.pow(10, ((rain - 109) / 32));
                var c = typeof (rain);
                rain = parseFloat(rain.toFixed(2));
                var b = typeof (rain);

                pairs.push([time, rain]);

            };

            var jil = 5;


     
                chart.series[0].setData(pairs, true);
                chart.redraw();
         //// var jil = 4;
        }
    });

  </script>
  <form id="form1" runat="server">
    <asp:HiddenField ID="r1" runat="server" />
      </form>
</body>
</html>